Package com.mapd.thrift.server

## Class TDataBlockPtr

- java.lang.Object
- - org.apache.thrift.TUnion<TDataBlockPtr,​TDataBlockPtr._Fields>
  - - com.mapd.thrift.server.TDataBlockPtr

All Implemented Interfaces:
  `Serializable`, `Comparable<TDataBlockPtr>`, `org.apache.thrift.TBase<TDataBlockPtr,​TDataBlockPtr._Fields>`, `org.apache.thrift.TSerializable`

    public class TDataBlockPtr
    extends org.apache.thrift.TUnion<TDataBlockPtr,​TDataBlockPtr._Fields>

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `TDataBlockPtr._Fields` The set of fields this struct contains, along with convenience methods for finding and manipulating them.

### Field Summary

Fields
`static Map<TDataBlockPtr._Fields,​org.apache.thrift.meta_data.FieldMetaData>` `metaDataMap`

### Fields inherited from class org.apache.thrift.TUnion

`setField_, value_`

### Constructor Summary

Constructors
`TDataBlockPtr()`
`TDataBlockPtr​(TDataBlockPtr other)`
`TDataBlockPtr​(TDataBlockPtr._Fields setField, Object value)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`ByteBuffer` `bufferForFixed_len_data()`
`protected void` `checkType​(TDataBlockPtr._Fields setField, Object value)`
`int` `compareTo​(TDataBlockPtr other)`
`TDataBlockPtr` `deepCopy()`
`protected TDataBlockPtr._Fields` `enumForId​(short id)`
`boolean` `equals​(TDataBlockPtr other)`
`boolean` `equals​(Object other)`
`TDataBlockPtr._Fields` `fieldForId​(int fieldId)`
`static TDataBlockPtr` `fixed_len_data​(byte[] value)`
`static TDataBlockPtr` `fixed_len_data​(ByteBuffer value)`
`protected org.apache.thrift.protocol.TField` `getFieldDesc​(TDataBlockPtr._Fields setField)`
`byte[]` `getFixed_len_data()`
`protected org.apache.thrift.protocol.TStruct` `getStructDesc()`
`List<TVarLen>` `getVar_len_data()`
`int` `hashCode()`
`boolean` `isSetFixed_len_data()`
`boolean` `isSetVar_len_data()`
`void` `setFixed_len_data​(byte[] value)`
`void` `setFixed_len_data​(ByteBuffer value)`
`void` `setVar_len_data​(List<TVarLen> value)`
`protected Object` `standardSchemeReadValue​(org.apache.thrift.protocol.TProtocol iprot, org.apache.thrift.protocol.TField field)`
`protected void` `standardSchemeWriteValue​(org.apache.thrift.protocol.TProtocol oprot)`
`protected Object` `tupleSchemeReadValue​(org.apache.thrift.protocol.TProtocol iprot, short fieldID)`
`protected void` `tupleSchemeWriteValue​(org.apache.thrift.protocol.TProtocol oprot)`
`static TDataBlockPtr` `var_len_data​(List<TVarLen> value)`

### Methods inherited from class org.apache.thrift.TUnion

`clear, getFieldValue, getFieldValue, getFieldValue, getSetField, isSet, isSet, isSet, read, setFieldValue, setFieldValue, toString, write`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### metaDataMap

    public static final Map<TDataBlockPtr._Fields,​org.apache.thrift.meta_data.FieldMetaData> metaDataMap

### Constructor Detail

#### TDataBlockPtr

    public TDataBlockPtr()

#### TDataBlockPtr

    public TDataBlockPtr​(TDataBlockPtr._Fields setField,
                         Object value)

#### TDataBlockPtr

    public TDataBlockPtr​(TDataBlockPtr other)

### Method Detail

#### deepCopy

    public TDataBlockPtr deepCopy()

#### fixed_len_data

    public static TDataBlockPtr fixed_len_data​(ByteBuffer value)

#### fixed_len_data

    public static TDataBlockPtr fixed_len_data​(byte[] value)

#### var_len_data

    public static TDataBlockPtr var_len_data​(List<TVarLen> value)

#### checkType

    protected void checkType​(TDataBlockPtr._Fields setField,
                             Object value)
                      throws ClassCastException

Specified by:
  `checkType` in class `org.apache.thrift.TUnion<TDataBlockPtr,​TDataBlockPtr._Fields>`
Throws:
  `ClassCastException`

#### standardSchemeReadValue

    protected Object standardSchemeReadValue​(org.apache.thrift.protocol.TProtocol iprot,
                                             org.apache.thrift.protocol.TField field)
                                      throws org.apache.thrift.TException

Specified by:
  `standardSchemeReadValue` in class `org.apache.thrift.TUnion<TDataBlockPtr,​TDataBlockPtr._Fields>`
Throws:
  `org.apache.thrift.TException`

#### standardSchemeWriteValue

    protected void standardSchemeWriteValue​(org.apache.thrift.protocol.TProtocol oprot)
                                     throws org.apache.thrift.TException

Specified by:
  `standardSchemeWriteValue` in class `org.apache.thrift.TUnion<TDataBlockPtr,​TDataBlockPtr._Fields>`
Throws:
  `org.apache.thrift.TException`

#### tupleSchemeReadValue

    protected Object tupleSchemeReadValue​(org.apache.thrift.protocol.TProtocol iprot,
                                          short fieldID)
                                   throws org.apache.thrift.TException

Specified by:
  `tupleSchemeReadValue` in class `org.apache.thrift.TUnion<TDataBlockPtr,​TDataBlockPtr._Fields>`
Throws:
  `org.apache.thrift.TException`

#### tupleSchemeWriteValue

    protected void tupleSchemeWriteValue​(org.apache.thrift.protocol.TProtocol oprot)
                                  throws org.apache.thrift.TException

Specified by:
  `tupleSchemeWriteValue` in class `org.apache.thrift.TUnion<TDataBlockPtr,​TDataBlockPtr._Fields>`
Throws:
  `org.apache.thrift.TException`

#### getFieldDesc

    protected org.apache.thrift.protocol.TField getFieldDesc​(TDataBlockPtr._Fields setField)

Specified by:
  `getFieldDesc` in class `org.apache.thrift.TUnion<TDataBlockPtr,​TDataBlockPtr._Fields>`

#### getStructDesc

    protected org.apache.thrift.protocol.TStruct getStructDesc()

Specified by:
  `getStructDesc` in class `org.apache.thrift.TUnion<TDataBlockPtr,​TDataBlockPtr._Fields>`

#### enumForId

    protected TDataBlockPtr._Fields enumForId​(short id)

Specified by:
  `enumForId` in class `org.apache.thrift.TUnion<TDataBlockPtr,​TDataBlockPtr._Fields>`

#### fieldForId

    public TDataBlockPtr._Fields fieldForId​(int fieldId)

#### getFixed_len_data

    public byte[] getFixed_len_data()

#### bufferForFixed_len_data

    public ByteBuffer bufferForFixed_len_data()

#### setFixed_len_data

    public void setFixed_len_data​(byte[] value)

#### setFixed_len_data

    public void setFixed_len_data​(ByteBuffer value)

#### getVar_len_data

    public List<TVarLen> getVar_len_data()

#### setVar_len_data

    public void setVar_len_data​(List<TVarLen> value)

#### isSetFixed_len_data

    public boolean isSetFixed_len_data()

#### isSetVar_len_data

    public boolean isSetVar_len_data()

#### equals

    public boolean equals​(Object other)

Overrides:
  `equals` in class `Object`

#### equals

    public boolean equals​(TDataBlockPtr other)

#### compareTo

    public int compareTo​(TDataBlockPtr other)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`